Terminal Services Manager

Use Terminal Services Manager to view information about terminal servers in trusted domains, including all sessions, users, and processes for each terminal server. You can also use this tool to perform various actions to manage the server.

  • For help with specific tasks, see How to.
  • For general background information, see Concepts.


How to...

  • Install Terminal Server
  • Manage users, sessions, and processes
  • Work with terminal servers


Manage users, sessions, and processes

  • Connect to another session
  • Disconnect from a session
  • Log off a user from a session
  • Send a message to a user
  • Reset a session
  • View status information for a session
  • Remotely control a session
  • End a process


Connect to another session

Microsoft Windows graphic

To connect to another session

  1. Open Terminal Services Manager.

  2. Right-click the session to which you want to connect, and then click Connect.

    You are connected to the new session and disconnected from your previous session.

Notes

  • You can always connect to a session in which you are logged on with the same user account. To connect to another user's session, you must have either Full Control or User Access permission.
  • XOX
  • You can connect to another session only from within an existing session. You must open Terminal Services Manager, or use the tscon command, from within a session to be able to connect to another session.
  • You can connect to a session only if it is in either an active or disconnected state.
  • You cannot connect to another session from the console session.

Related Topics


Disconnect from a session

Microsoft Windows graphic

To disconnect from a session

  1. Open Terminal Services Manager.
  2. Right-click the session you want to disconnect, and then click Disconnect.

Notes

  • You can always disconnect from your own sessions, but you must have Full Control permission to disconnect a session belonging to another user.
  • XOX
  • When you disconnect a session, the session remains attached to the terminal server in the disconnected state and any applications that are running continue to run. The applications remain running when the session is reconnected, with no loss of data.
  • You can also use the tsdiscon command to disconnect a session.
  • You can reset a session that is in the disconnected state, deleting the session from the server. You must have Full Control permission to do this.

Related Topics


Log off a user from a session

Microsoft Windows graphic

To log off a user from a session

  1. Open Terminal Services Manager.
  2. On the Users tab, right-click the name of the user you want to log off from a session, and then click Log Off.

    Caution

    • Logging off a user from a session without warning can result in loss of data at the user's session. Instead, send a message to the user using Send Message on the Actions menu to warn the user before taking this action.

Notes

  • You can always log off from your own sessions, but you must have Full Control permission to log off another user from a session.
  • XOX
  • When you log off a user, all processes end and the session is deleted from the server.
  • You can also use the logoff command to log off a user from a session.
  • You cannot log off a user from the console session.

Related Topics


Send a message to a user

Microsoft Windows graphic

To send a message to a user

  1. Open Terminal Services Manager.

  2. Right-click the session or user to which you want to send a message, and then click Send Message.

    The Send Message dialog box appears.

  3. In Message title, type the title of the message.
  4. In Message, type the information you want to send to the user. To start a new paragraph, press CTRL+ENTER.
  5. To send the message, click OK.

Notes

  • You must have Message permission in order to send messages. For more information on connection permissions, see Managing permissions on connections.
  • XOX
  • Use this feature to notify users of impending disconnection, server status, or other system information.
  • You can send messages only to users whose sessions are in the active or connected state, including the console session.
  • You can also use the msg command to send messages to users.

Related Topics


Reset a session

Microsoft Windows graphic

To reset a session

  1. Open Terminal Services Manager.

  2. Right-click the session you want to reset, and then click Reset.

    The session is immediately deleted from the server.

Notes

  • You can always reset your own sessions, but you must have Full Control permission to reset a session belonging to another user.
  • XOX
  • Be aware that resetting a user's session without warning can result in loss of data on the session.
  • Reset a session only when it malfunctions or appears to have stopped responding.
  • If you reset a listener session, all sessions that use the connection are reset.
  • You can also use the reset session command to reset a session.

Related Topics


View status information for a session

Microsoft Windows graphic

To view status information for a session

  1. Open Terminal Services Manager.

  2. Right-click the session for which you want status information, and then click Status.

    The session's Status information is displayed.

  3. To refresh this information, click Refresh Now.

    To reset counters, click Reset Counters.

Notes

  • You can always view status information for your own sessions. To view status information for a session belonging to another user, you must have either Full Control or User Access permission, or be specifically assigned the Query Information advanced permission. For more information on connection permissions, see Managing permissions on connections.
  • XOX
  • You cannot view status information for the console or listener sessions.

Related Topics


Remotely control a session

Microsoft Windows graphic

To remotely control a session

  1. Open Terminal Services Manager.

  2. Right-click the session you want to monitor, and then click Remote Control.

    The Remote Control dialog box appears.

  3. In Hot key, select the keys you want to use to end a remote control session, and then click OK. The default hot key is CTRL+* (using * from the numeric keypad only).

    When you want to end remote control, press CTRL+* (or whatever hot key you have defined).

Notes

  • You must have Full Control permission to remotely control another session.
  • XOX
  • To configure remote control settings for a connection, use Terminal Services Configuration. Remote control can also be configured on a per-user basis by using the Terminal Services Extension to Local Users and Groups and Active Directory Users and Computers.
  • Before monitoring begins, the server warns the user that the session is about to be remotely controlled, unless this warning is disabled. Your session might appear to be frozen for a few seconds while it waits for a response from the user.
  • When you enter the remote control session, your current session shares every input and output with the session you are monitoring.
  • Your session must be capable of supporting the video resolution used at the session you are remotely controlling or the operation fails.
  • The console session can neither remotely control another session nor can it be remotely controlled by another session.
  • You can also use the shadow command to remotely control another session.

Related Topics


End a process

Microsoft Windows graphic

To end a process

  1. Open Terminal Services Manager.
  2. On the Processes tab, under the User column, right-click the process you want to end, and then click End Process.

Notes

  • You must have Full Control permission to end a process.
  • XOX
  • Be aware that ending a process without warning can result in loss of data at the user's session.
  • You might need to end a process because the application is not responding.
  • You can also use the tskill command to end a process.

Related Topics


Work with terminal servers

  • Connect to terminal servers
  • Disconnect from terminal servers
  • Find all terminal servers in a domain
  • Add a terminal server to the Favorites list
  • Remove a terminal server from the Favorites list


Connect to terminal servers

Microsoft Windows graphic

To connect to terminal servers

  1. Open Terminal Services Manager.
  2. Expand the domain containing the servers to which you want to connect.
  3. Do one of the following:
    • To connect to a specific terminal server, right-click the server, and then click Connect.
    • To connect to a computer that is not displayed in the navigation pane of the Remote Desktops snap-in, right-click All Listed Servers, click Connect to Computer, specify a computer name, and then click OK.

Notes

  • XOX
  • You should connect to only one terminal server at a time. When a server is connected, Terminal Services Manager queries the server for information about its sessions and processes. Connecting to more than one server at a time can overload system resources.

Related Topics


Disconnect from terminal servers

Microsoft Windows graphic

To disconnect from terminal servers

  1. Open Terminal Services Manager.
  2. Expand the domain containing the servers from which you want to disconnect.
  3. Do one of the following:
    • To disconnect from a specific terminal server, right-click the server, and then click Disconnect.
    • To disconnect from all terminal servers in the domain, right-click the domain, and then click Disconnect from All Servers in Domain.

Notes

  • XOX
  • To disconnect from all servers in all domains in your network, right-click All Listed Servers, and then click Disconnect from All Servers.

Related Topics


Find all terminal servers in a domain

Microsoft Windows graphic

To find all terminal servers in a domain

  1. Open Terminal Services Manager.
  2. Right-click the domain whose terminal servers you want to find, and then click Refresh Servers in Domain.

Notes

  • XOX
  • Depending on the number of servers on your network, this may take an extended period of time.

Related Topics


Add a terminal server to the Favorites list

Microsoft Windows graphic

To add a terminal server to the Favorites list

  1. Open Terminal Services Manager.
  2. Expand the domain containing the server you want to add to the Favorites list.
  3. Right click the server, and then click Add To Favorites.

Note

  • XOX

Related Topics


Remove a terminal server from the Favorites list

Microsoft Windows graphic

To remove a terminal server from the Favorites list

  1. Open Terminal Services Manager.
  2. Expand the Favorite servers node.
  3. Right click the server, and then click Remove From Favorites.

Note

  • XOX

Related Topics


Concepts

This section provides background information about administering servers that have Terminal Server installed.

  • Terminal Services Manager overview
  • Using Terminal Services Manager
  • Using the Terminal Services Manager window


Terminal Services Manager overview

Use Terminal Services Manager to view information about terminal servers that reside in trusted domains. Use this tool to monitor users, sessions, and applications on each terminal server, and to carry out assorted actions to manage the server. See individual procedures in How to... for the permission levels required to perform each task.

When a user creates a session by connecting to a terminal server from a client computer, the session appears in the Session list in Terminal Services Manager. In addition, the name of the user who logs on by using the session appears in the Users list. Any applications run in the user's session can be monitored on the Processes list. Therefore, you can oversee all users, sessions, and processes on a terminal server from one location.

Terminal Services Manager also allows you to manage a terminal server by using the commands on the Actions menu. For more information, see Using Terminal Services Manager.

Console session

In Terminal Services Manager, the system console session is identified as session 0 in the Session list when you connect to a terminal server. A console session is defined as the session you connect to at the physical console of the remote computer, as though you were logging on locally instead of remotely. You can send a message to the console session, but you cannot perform any of the other administrative actions on it.

Listener sessions

Listener sessions are different from regular sessions. These sessions listen for and accept new Remote Desktop Protocol (RDP) client connections, thereby creating new sessions for the client requests. If you have configured more than one connection in Terminal Services Configuration, several listener sessions are available.

You have the option to reset a listener session. However, this is not recommended, because doing so resets all sessions that use the same Terminal Services connection. Resetting a user's session without warning can result in loss of data at the client.

Idle sessions

To optimize the performance of a terminal server, idle sessions are initialized by the server before client connections are made. These sessions are available to clients for connection. Two idle sessions are created by default. User sessions can also be in idle state. For information on configuring session limits, see Configuring session limits.


Using Terminal Services Manager

Terminal Services Manager is used to monitor the sessions, users, and processes of terminal servers in trusted domains. In addition to monitoring, you can manage a terminal server by using the actions provided by Terminal Services Manager. Actions are found on the Actions menu and are described below. Most require you to be logged in as a member of the Administrators group to perform them.

Action | Description | Permission Level Required
Connect | Enables a user to connect to another session. Be aware that connecting to a session that is currently being used by another user might be very disruptive to that user. When you connect to another session, you are disconnected from your previous session. If you have created more than one session on a server, you can use this option to switch between these sessions. You cannot connect to another session from the system console. For more information, see To connect to another session. | User Access or Full Control
Disconnect | Disconnects a user from a session. The session remains attached to the terminal server in the disconnected state and currently running applications continue to run. When you attempt to reconnect to the server, you are reconnected to the same session from which you disconnected, even if you are reconnecting from a different computer. Applications that were left open when you disconnected remain running when you reconnect to the session, with no loss of data. This is very useful if you change locations often (for example, from work to home). For more information, see To disconnect from a session. | Full Control
Send Message | Enables a user to send a message to another user's session. For example, an administrator might want to send a message to a user before disconnecting or logging off the user from a session. For more information, see To send a message to a user. | User Access or Full Control
Remote Control | Enables a user to observe or remotely control another user's session, allowing you to monitor the activities at the session and interact with it as needed. A user whose session you want to monitor can be warned before monitoring begins. Remote control is configured either with Terminal Services Configuration or, on a per-user basis, with the Terminal Services Extension to Local Users and Groups and Active Directory Users and Computers. You cannot remotely control another session from the console session. For more background information, see Using remote control. For information about using remote control, see To remotely control a session. | Full Control
Reset | Enables you to delete a session instantly. Be aware that resetting a user's session without warning can result in loss of data at that session. Reset a session only when it malfunctions or appears to have stopped responding. Resetting a listener session resets all sessions that use the connection. For more information, see To reset a session. | Full Control
Status | Enables you to monitor session-related counters, such as incoming and outgoing bytes and frames. Status information for console and listener sessions cannot be displayed. For more information, see To view status information for a session. | User Access or Full Control
Log Off | Enables you to log off a user from a session on the server. Be aware that logging off a user without warning can result in loss of data at the user's session. When you log off a user, all processes end and the session is deleted from the server. For more information, see To log off a user from a session. | Full Control
End Process | Enables you to end a process that is running at a user's session. This is useful when an application has stopped responding. Be aware that ending a process without warning can result in loss of data at the user's session. For more information, see To end a process. | Full Control


Using the Terminal Services Manager window

The Terminal Services Manager window has a two-pane view. The navigation pane displays the domains, the terminal servers, and the sessions on the network. The tabs in the details pane display the results of the item selected in the navigation pane. For example, when you click a server in the navigation pane, a series of tabs appear in the details pane displaying lists of users, sessions, and processes associated with that server.

Typically, you perform tasks by selecting an item in the navigation pane and then taking action on that item in the details pane by using shortcut menus and toolbars.

For information about monitoring terminal servers, click the following:

  • Viewing the users on a server or domain
  • Viewing the sessions associated with a server or domain
  • Viewing the processes associated with a server or domain
  • Viewing the processes associated with a session
  • Viewing client information
  • Viewing session states


Viewing the users on a server or domain

Using Terminal Services Manager, you can view information about the user's session, the state of the session, and other properties for each user on a terminal server. To view user information on a terminal server, click the server or domain in the navigation pane, and then click the Users tab.

Each field on the Users tab is described in the following table.

Field | Description
Server | Displays the servers to which users are logged on. This field is shown only when you click a domain in the navigation pane.
User | Displays all users associated with the server or domain.
Session | Displays the sessions associated with a server or all servers in the domain. All sessions are displayed regardless of status.
ID | Displays the numeric ID that identifies the session to the server.
State | Displays the status of a session. Session states include Active, Connected, ConnectQuery, RemoteControl, Listen, Disconnected, Idle, Down, and Init. For more information, see Viewing session states.
Idle time | Displays the number of minutes that have elapsed since the last keyboard or mouse input from a session.
Logon time | Displays the time at which the user logged on, if applicable.
Comment | Provides additional information about the session, such as its location. This field is optional.


Viewing the sessions associated with a server or domain

Using Terminal Services Manager, you can view information about the user, state, and other properties of each session on a terminal server. To view a session on a terminal server, click the server or domain in the navigation pane, and then click the Sessions tab.

Each field on the Sessions tab is described in the following table.

Field | Description
Server | Displays the servers with which the sessions are associated. This field is shown only when you click a domain in the navigation pane.
Session | Displays the sessions associated with a server. All sessions are displayed regardless of status.
User | Displays the users associated with the server or domain.
ID | Displays the numeric ID that identifies the session to the server.
State | Displays the status of a session. Session states include active, conn, connq, shadow, listen, disc, idle, down, and init. For more information, see Viewing session states.
Type | Specifies the type of client using the session or if the session is the system console.
Client name | Specifies the name of the client computer using the session, if applicable.
Idle time | Displays the number of minutes that have elapsed since the last keyboard or mouse input from a session.
Logon time | Displays the time at which the user logged on, if applicable.
Comment | Provides additional information about the session, such as its location. This field is optional.


Viewing the processes associated with a server or domain

Using Terminal Services Manager, you can view current information about all processes on a terminal server. To view the processes, click the server or domain in the navigation pane, and then click the Processes tab.

Each field on the Processes tab is described in the following table.

Field | Description
Server | Displays the servers with which the processes are associated. This field is shown only when you click a domain in the navigation pane.
User | Displays the users associated with the processes.
Session | Displays the sessions associated with the processes. All sessions are displayed regardless of status.
ID | Displays the numeric ID that identifies the session to the server.
PID | Displays the numeric ID that identifies the process to the server.
Image | Specifies the executable program that created the process.

For information on how to end a process, see To end a process.


Viewing the processes associated with a session

Using Terminal Services Manager, you can view current information about all processes associated with a particular session. To view the processes, click the session in the navigation pane, and then click the Processes tab.

Each field on the Processes tab is described in the following table.

Field | Description
ID | Displays the numeric ID that identifies the session to the server.
PID | Displays the numeric ID that identifies the process to the server.
Image | Specifies the executable program that created the process.

For information on how to end a process, see To end a process.


Viewing client information

Using Terminal Services Manager, you can view client information about a particular session. To view client information, click the session in the navigation pane, and then click the Information tab.

Each field on the Information tab is described in the following table.

Field | Description
User name | The name of the person who is logged in to the session on the server.
Client name | The name of the client computer.
Client build number | The version of the software installed on the client computer
Client directory | The directory in which the client is installed.
Client product ID | Used by Citrix Metaframe.
Client Hardware ID | Used by Citrix Metaframe.
Client address | The IP address of the client.
Server buffers | The size of the server buffers.
Client buffers | The size of the client buffers.
Client Color Depth | The number of colors in the color palette used for the remote session.
Client Resolution | The video resolution of the remote session.
Modem Name | Used by Citrix Metaframe.
Encryption Level | The encryption level being used for this session.
Client License | Used by Citrix Metaframe.


Viewing session states

The following table describes each possible state of a session.

Session state | Description
Active | The session is connected, and a user is logged on to the server.
Connected | The session is connected, but there is no user logged on to the server.
ConnectQuery | The session is in the process of connecting. If this state continues, it indicates a problem with the connection.
RemoteControl | The session is in the process of remotely controlling another session.
Listen | The session is ready to accept a client connection.
Disconnected | The user is disconnected from the session, but the session is still attached to the server and can be reconnected at any time.
Idle | The session is initialized and ready to accept a connection. To optimize the performance of a server, two default (idle) sessions are initialized before any client connections are made.
Down | The session failed to initialize correctly or could not be terminated, and is not available. If this state continues, it indicates a problem with the connection of the session.
Init | The session is in the process of initializing.